QSS
- OpenAPI Version:
3.1.0 - API Version:
1.0.0
Zoom Quality of Service Subscription (QSS) is an add-on product that enables Developers to receive details about the network traffic in near real-time for users, hosts, and participants in their meetings, webinars, and phone calls. This data can be used to proactively troubleshoot and identify issues as quickly as possible. Contact Zoom Sales to add this feature.
Requirements
In addition to having the QSS product on your account, at least one user on the account must have Developer permissions enabled to be able to create an application that can subscribe to QSS events. This user should create a Zoom app to receive notifications.
Enabling QSS event notifications
On the Feature page for the Marketplace app, enable Event Subscription and add the Event notification endpoint URL to send the webhooks. Click Add events and select QSS. Select the QSS events that you’d like to receive.
Note that you must subscribe to the QSS summary event to receive data from the QoS summary APIs.
Operations
POST webinar.participant_data
- Method:
POST - Path:
webinar.participant_data - Tags: webinar
Request Body
Content-Type: application/json
-
event(required)string— Name of the event. -
event_ts(required)integer, format:int64— Timestamp (in milliseconds since epoch) at which the event occurred. The value of this field is returned in long(int64) format. -
payload(required)object-
account_id(required)string— The Account ID of the Zoom Room that is experiencing issues. -
object(required)object— Meeting object.-
participant(required)object— Participant object.-
data(required)array— Array of participant data.Items:
-
as_internal_ip_addressstring— Sharing internal ip address. -
as_internal_ip_portstring— Sharing internal ip port. -
audio_internal_ip_addressstring— Audio internal ip address. -
audio_internal_ip_portstring— Audio internal ip port. -
camerastring— The type of camera used by participant during the meeting. -
connection_typestring— Participant connection type. -
data_centerstring— Data Center where participant's meeting data is stored. -
destination_ip_domainstring— Destination internal ip domain. -
destination_ip_portstring— Destination internal ip port. -
devicestring— The type of device using which the participant joined the webinar. The possible values for this field are: * Phone: Participant joined via PSTN. * H.323/SIP: Participant joined via an H.323 or SIP device. * Windows: Participant joined via VoIP using a Windows device. * Mac: Participant joined via VoIP using a Mac device. * iOS: Participant joined via VoIP using an iOS device. * Android: Participant joined via VoIP using an Android device. -
domainstring— Participant's PC domain. -
harddisk_idstring— Participant's hard disk ID. -
locationstring— Participant location. -
mac_addrstring— Participant's MAC address. -
microphonestring— Participant microphone. -
network_typestring— Participant network type. -
pc_namestring— Name of Participant's PC. -
signaling_internal_ip_addressstring— Signaling internal ip address. -
signaling_internal_ip_portstring— Signaling internal ip port. -
signaling_ip_addressstring— Participant's signaling ip address for information other than audio, video, or share screen. -
speakerstring— Participant speaker. -
versionstring— Participant's Zoom Client version. -
video_internal_ip_addressstring— Video internal ip address. -
video_internal_ip_portstring— Video internal ip port.
-
-
participant_id(required)string— Participant id. -
emailstring, format:email— The participant's email address. This response only returns a value if the participant joined the meeting by logging into Zoom. If the participant is **not** part of the host's account, this returns an empty string value, with some exceptions. See [Email address display rules](https://marketplace.zoom.us/docs/api-reference/using-zoom-apis#email-address) for details. -
participant_user_idstring— The participant's universally unique ID (UUID). Returns an empty value for external users.
-
-
uuid(required)string— Meeting uuid.
-
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"uuid": "",
"participant": {
"participant_id": "",
"participant_user_id": "",
"email": "",
"data": [
{
"device": "",
"location": "",
"network_type": "",
"microphone": "",
"speaker": "",
"camera": "",
"data_center": "",
"connection_type": "",
"pc_name": "",
"domain": "",
"mac_addr": "",
"harddisk_id": "",
"version": "",
"signaling_ip_address": "",
"signaling_internal_ip_address": "",
"signaling_internal_ip_port": "",
"audio_internal_ip_address": "",
"audio_internal_ip_port": "",
"video_internal_ip_address": "",
"video_internal_ip_port": "",
"as_internal_ip_address": "",
"as_internal_ip_port": "",
"destination_ip_domain": "",
"destination_ip_port": ""
}
]
}
}
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— Name of the event. -
event_ts(required)integer, format:int64— Timestamp (in milliseconds since epoch) at which the event occurred. The value of this field is returned in long(int64) format. -
payload(required)object-
account_id(required)string— The Account ID of the Zoom Room that is experiencing issues. -
object(required)object— Meeting object.-
participant(required)object— Participant object.-
data(required)array— Array of participant data.Items:
-
as_internal_ip_addressstring— Sharing internal ip address. -
as_internal_ip_portstring— Sharing internal ip port. -
audio_internal_ip_addressstring— Audio internal ip address. -
audio_internal_ip_portstring— Audio internal ip port. -
camerastring— The type of camera used by participant during the meeting. -
connection_typestring— Participant connection type. -
data_centerstring— Data Center where participant's meeting data is stored. -
destination_ip_domainstring— Destination internal ip domain. -
destination_ip_portstring— Destination internal ip port. -
devicestring— The type of device using which the participant joined the webinar. The possible values for this field are: * Phone: Participant joined via PSTN. * H.323/SIP: Participant joined via an H.323 or SIP device. * Windows: Participant joined via VoIP using a Windows device. * Mac: Participant joined via VoIP using a Mac device. * iOS: Participant joined via VoIP using an iOS device. * Android: Participant joined via VoIP using an Android device. -
domainstring— Participant's PC domain. -
harddisk_idstring— Participant's hard disk ID. -
locationstring— Participant location. -
mac_addrstring— Participant's MAC address. -
microphonestring— Participant microphone. -
network_typestring— Participant network type. -
pc_namestring— Name of Participant's PC. -
signaling_internal_ip_addressstring— Signaling internal ip address. -
signaling_internal_ip_portstring— Signaling internal ip port. -
signaling_ip_addressstring— Participant's signaling ip address for information other than audio, video, or share screen. -
speakerstring— Participant speaker. -
versionstring— Participant's Zoom Client version. -
video_internal_ip_addressstring— Video internal ip address. -
video_internal_ip_portstring— Video internal ip port.
-
-
participant_id(required)string— Participant id. -
emailstring, format:email— The participant's email address. This response only returns a value if the participant joined the meeting by logging into Zoom. If the participant is **not** part of the host's account, this returns an empty string value, with some exceptions. See [Email address display rules](https://marketplace.zoom.us/docs/api-reference/using-zoom-apis#email-address) for details. -
participant_user_idstring— The participant's universally unique ID (UUID). Returns an empty value for external users.
-
-
uuid(required)string— Meeting uuid.
-
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"uuid": "",
"participant": {
"participant_id": "",
"participant_user_id": "",
"email": "",
"data": [
{
"device": "",
"location": "",
"network_type": "",
"microphone": "",
"speaker": "",
"camera": "",
"data_center": "",
"connection_type": "",
"pc_name": "",
"domain": "",
"mac_addr": "",
"harddisk_id": "",
"version": "",
"signaling_ip_address": "",
"signaling_internal_ip_address": "",
"signaling_internal_ip_port": "",
"audio_internal_ip_address": "",
"audio_internal_ip_port": "",
"video_internal_ip_address": "",
"video_internal_ip_port": "",
"as_internal_ip_address": "",
"as_internal_ip_port": "",
"destination_ip_domain": "",
"destination_ip_port": ""
}
]
}
}
}
}
POST phone.call_qos_summary
- Method:
POST - Path:
phone.call_qos_summary - Tags: phone
Request Body
Content-Type: application/json
-
event(required)string, possible values:"phone.call_qos_summary"— Name of the event. -
event_ts(required)integer, format:int64— Timestamp when the event occurred, in milliseconds since epoch. The value of this field is returned in long (int64) format. -
payload(required)object-
account_id(required)string— The owner's account ID. -
object(required)object-
call_end_time(required)string, format:date-time— The date and time when the call ended. -
call_id(required)string— The call ID. -
call_qos(required)array— The call quality of service (QoS).Items:
-
qos(required)array— The quality of service (QoS) data.Items:
-
date_time(required)string, format:date-time— The date and time when the QoS data was received. -
details(required)object— QoS details.-
avg_loss(required)string— The average percentage of packets that fail to arrive at their destination. -
bitrate(required)string— The number of bits per second, in Kbps, that can be transmitted along a digital network. -
jitter(required)string— The variation in the delay of received packets, in milliseconds. -
max_loss(required)string— The maximum percentage of packets that fail to arrive at their destination. -
mos(required)string— The Mean Opinion Score (MOS). This measures voice quality on a scale of 1 to 5. A score above or equal to 3.5 means good quality, while below 3.5 means poor quality. -
network_delay(required)string— The amount of time, in milliseconds, that it takes for a Voice Over IP (VoIP) packet to travel from one point to another. -
networkstring— The type of networks such as LAN, WiFi, VPN etc
-
-
type(required)string— The QoS data type: sending or receiving.
-
-
type(required)string— The type: caller or callee. -
user_id(required)string— The caller or callee's user ID. -
user_emailstring— The caller or callee's email.
-
-
call_start_time(required)string, format:date-time— The date and time when the call started.
-
-
Example:
{
"event": "phone.call_qos_summary",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"call_id": "",
"call_start_time": "",
"call_end_time": "",
"call_qos": [
{
"type": "",
"user_id": "",
"user_email": "",
"qos": [
{
"date_time": "",
"type": "",
"details": {
"bitrate": "",
"avg_loss": "",
"max_loss": "",
"jitter": "",
"network_delay": "",
"mos": "",
"network": ""
}
}
]
}
]
}
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string, possible values:"phone.call_qos_summary"— Name of the event. -
event_ts(required)integer, format:int64— Timestamp when the event occurred, in milliseconds since epoch. The value of this field is returned in long (int64) format. -
payload(required)object-
account_id(required)string— The owner's account ID. -
object(required)object-
call_end_time(required)string, format:date-time— The date and time when the call ended. -
call_id(required)string— The call ID. -
call_qos(required)array— The call quality of service (QoS).Items:
-
qos(required)array— The quality of service (QoS) data.Items:
-
date_time(required)string, format:date-time— The date and time when the QoS data was received. -
details(required)object— QoS details.-
avg_loss(required)string— The average percentage of packets that fail to arrive at their destination. -
bitrate(required)string— The number of bits per second, in Kbps, that can be transmitted along a digital network. -
jitter(required)string— The variation in the delay of received packets, in milliseconds. -
max_loss(required)string— The maximum percentage of packets that fail to arrive at their destination. -
mos(required)string— The Mean Opinion Score (MOS). This measures voice quality on a scale of 1 to 5. A score above or equal to 3.5 means good quality, while below 3.5 means poor quality. -
network_delay(required)string— The amount of time, in milliseconds, that it takes for a Voice Over IP (VoIP) packet to travel from one point to another. -
networkstring— The type of networks such as LAN, WiFi, VPN etc
-
-
type(required)string— The QoS data type: sending or receiving.
-
-
type(required)string— The type: caller or callee. -
user_id(required)string— The caller or callee's user ID. -
user_emailstring— The caller or callee's email.
-
-
call_start_time(required)string, format:date-time— The date and time when the call started.
-
-
Example:
{
"event": "phone.call_qos_summary",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"call_id": "",
"call_start_time": "",
"call_end_time": "",
"call_qos": [
{
"type": "",
"user_id": "",
"user_email": "",
"qos": [
{
"date_time": "",
"type": "",
"details": {
"bitrate": "",
"avg_loss": "",
"max_loss": "",
"jitter": "",
"network_delay": "",
"mos": "",
"network": ""
}
}
]
}
]
}
}
}
POST meeting.participant_qos
- Method:
POST - Path:
meeting.participant_qos - Tags: meeting
Request Body
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— The timestamp when the event occurred. -
payload(required)object-
account_id(required)string— The meeting host's account ID. -
object(required)object— Information about the meeting.-
participant(required)object— Information about the meeting participant.-
qos(required)array— Information about the participant's quality of service (QoS).Items:
-
date_time(required)string, format:date-time— The timestamp when the QoS data was generated. -
details(required)object— The QoS details object.-
avg_lossstring— The average amount of packet loss. For example, the percentage of packets that failed to arrive at their destination. -
avg_rssistring— Average value of the wireless network's received signal strength indicator (RSSI). -
bitratestring— The bits per second transmitted along a digital network, in Kbps. -
frame_ratestring— The rate at which the video camera can produce unique images (frames). Zoom supports a frame rate of up to 30 frames per second (FPS). -
jitterstring— The variation in the delay of received packets, in milliseconds. -
latencystring— The time it takes a packet to travel from one point to another, in milliseconds. -
max_lossstring— The maximum amount of packet loss. For example, the maximum percentage of packets that failed to arrive at their destination. -
max_rssistring— Maximum value of the wireless network's received signal strength indicator (RSSI). -
min_rssistring— Minimum value of the wireless network's received signal strength indicator (RSSI). -
network_notificationstring, possible values:"network bandwidth low", "internet connection unstable"— The client-triggered network instability notification. -
qualitystring, possible values:"bad", "fair", "good", "poor"— The meeting quality level. -
quality_scorestring— The meeting quality score. -
resolutionstring— The number of pixels in each dimension that the video camera can display. -
rssi_unitstring— Unit of the wireless network's received signal strength indicator (RSSI). -
system_avg_cpu_pressure_levelstring, possible values:"normal", "fair", "serious", "critical"— The system's average CPU pressure level during the preceding second, based on the [Compute Pressure API](https://developer.mozilla.org/en-US/docs/Web/API/Compute_Pressure_API#pressure_states). These levels are rough estimates of CPU usage: normal (~20%), fair (~50%), serious (~80%), and critical (~100%). -
system_max_cpu_pressure_levelstring, possible values:"normal", "fair", "serious", "critical"— The system's maximum CPU pressure level during the preceding second, based on the [Compute Pressure API](https://developer.mozilla.org/en-US/docs/Web/API/Compute_Pressure_API#pressure_states). These levels are rough estimates of CPU usage: normal (~20%), fair (~50%), serious (~80%), and critical (~100%). -
system_max_cpu_usagestring— The system's maximum CPU usage. -
system_min_cpu_pressure_levelstring, possible values:"normal", "fair", "serious", "critical"— The system's minimum CPU pressure level during the preceding second, based on the [Compute Pressure API](https://developer.mozilla.org/en-US/docs/Web/API/Compute_Pressure_API#pressure_states). These levels are rough estimates of CPU usage: normal (~20%), fair (~50%), serious (~80%), and critical (~100%). -
zoom_avg_cpu_usagestring— Zoom's average CPU usage. -
zoom_max_cpu_usagestring— Zoom's maximum CPU usage. -
zoom_min_cpu_usagestring— Zoom's minimum CPU usage.
-
-
type(required)string, possible values:"audio_input", "audio_output", "video_input", "video_output", "as_input", "as_output", "cpu_usage", "audio_device_from_crc", "audio_device_to_crc", "video_device_from_crc", "video_device_to_crc", "as_device_from_crc", "as_device_to_crc", "audio_device_from_rwg", "audio_device_to_rwg", "video_device_from_rwg", "video_device_to_rwg", "as_device_from_rwg", "as_device_to_rwg", "audio_quality", "video_quality", "as_quality", "wifi_rssi", "notification"— The QoS type. See type in [List meeting participants QoS Summary](https://developers.zoom.us/docs/api/rest/reference/qss/methods/#operation/dashboardMeetingParticipantsQOSSummary) for a description.
-
-
user_id(required)string— The participant's meeting user ID. This value is assigned to a participant upon joining a meeting and is only valid for the duration of the meeting. -
emailstring, format:email— The participant's email address. This response only returns a value if the participant joined the meeting by logging into Zoom. If the participant is not part of the host's account, this returns an empty string value, with some exceptions. See [Email address display rules](/docs/api/rest/using-zoom-apis/#email-address-display-rules) for details. -
participant_user_idstring— The participant's universally unique identifier (UUID). Returns an empty value for external users.
-
-
uuid(required)string— The meeting's universally unique identifier (UUID). Each meeting instance generates a meeting UUID.
-
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"uuid": "",
"participant": {
"user_id": "",
"participant_user_id": "",
"email": "",
"qos": [
{
"date_time": "",
"type": "audio_input",
"details": {
"bitrate": "",
"latency": "",
"jitter": "",
"avg_loss": "",
"max_loss": "",
"resolution": "",
"frame_rate": "",
"zoom_min_cpu_usage": "",
"zoom_avg_cpu_usage": "",
"zoom_max_cpu_usage": "",
"system_max_cpu_usage": "",
"system_min_cpu_pressure_level": "normal",
"system_avg_cpu_pressure_level": "normal",
"system_max_cpu_pressure_level": "normal",
"quality": "bad",
"quality_score": "",
"max_rssi": "-35",
"avg_rssi": "-69",
"min_rssi": "-75",
"rssi_unit": "dBm",
"network_notification": "network bandwidth low"
}
}
]
}
}
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— The timestamp when the event occurred. -
payload(required)object-
account_id(required)string— The meeting host's account ID. -
object(required)object— Information about the meeting.-
participant(required)object— Information about the meeting participant.-
qos(required)array— Information about the participant's quality of service (QoS).Items:
-
date_time(required)string, format:date-time— The timestamp when the QoS data was generated. -
details(required)object— The QoS details object.-
avg_lossstring— The average amount of packet loss. For example, the percentage of packets that failed to arrive at their destination. -
avg_rssistring— Average value of the wireless network's received signal strength indicator (RSSI). -
bitratestring— The bits per second transmitted along a digital network, in Kbps. -
frame_ratestring— The rate at which the video camera can produce unique images (frames). Zoom supports a frame rate of up to 30 frames per second (FPS). -
jitterstring— The variation in the delay of received packets, in milliseconds. -
latencystring— The time it takes a packet to travel from one point to another, in milliseconds. -
max_lossstring— The maximum amount of packet loss. For example, the maximum percentage of packets that failed to arrive at their destination. -
max_rssistring— Maximum value of the wireless network's received signal strength indicator (RSSI). -
min_rssistring— Minimum value of the wireless network's received signal strength indicator (RSSI). -
network_notificationstring, possible values:"network bandwidth low", "internet connection unstable"— The client-triggered network instability notification. -
qualitystring, possible values:"bad", "fair", "good", "poor"— The meeting quality level. -
quality_scorestring— The meeting quality score. -
resolutionstring— The number of pixels in each dimension that the video camera can display. -
rssi_unitstring— Unit of the wireless network's received signal strength indicator (RSSI). -
system_avg_cpu_pressure_levelstring, possible values:"normal", "fair", "serious", "critical"— The system's average CPU pressure level during the preceding second, based on the [Compute Pressure API](https://developer.mozilla.org/en-US/docs/Web/API/Compute_Pressure_API#pressure_states). These levels are rough estimates of CPU usage: normal (~20%), fair (~50%), serious (~80%), and critical (~100%). -
system_max_cpu_pressure_levelstring, possible values:"normal", "fair", "serious", "critical"— The system's maximum CPU pressure level during the preceding second, based on the [Compute Pressure API](https://developer.mozilla.org/en-US/docs/Web/API/Compute_Pressure_API#pressure_states). These levels are rough estimates of CPU usage: normal (~20%), fair (~50%), serious (~80%), and critical (~100%). -
system_max_cpu_usagestring— The system's maximum CPU usage. -
system_min_cpu_pressure_levelstring, possible values:"normal", "fair", "serious", "critical"— The system's minimum CPU pressure level during the preceding second, based on the [Compute Pressure API](https://developer.mozilla.org/en-US/docs/Web/API/Compute_Pressure_API#pressure_states). These levels are rough estimates of CPU usage: normal (~20%), fair (~50%), serious (~80%), and critical (~100%). -
zoom_avg_cpu_usagestring— Zoom's average CPU usage. -
zoom_max_cpu_usagestring— Zoom's maximum CPU usage. -
zoom_min_cpu_usagestring— Zoom's minimum CPU usage.
-
-
type(required)string, possible values:"audio_input", "audio_output", "video_input", "video_output", "as_input", "as_output", "cpu_usage", "audio_device_from_crc", "audio_device_to_crc", "video_device_from_crc", "video_device_to_crc", "as_device_from_crc", "as_device_to_crc", "audio_device_from_rwg", "audio_device_to_rwg", "video_device_from_rwg", "video_device_to_rwg", "as_device_from_rwg", "as_device_to_rwg", "audio_quality", "video_quality", "as_quality", "wifi_rssi", "notification"— The QoS type. See type in [List meeting participants QoS Summary](https://developers.zoom.us/docs/api/rest/reference/qss/methods/#operation/dashboardMeetingParticipantsQOSSummary) for a description.
-
-
user_id(required)string— The participant's meeting user ID. This value is assigned to a participant upon joining a meeting and is only valid for the duration of the meeting. -
emailstring, format:email— The participant's email address. This response only returns a value if the participant joined the meeting by logging into Zoom. If the participant is not part of the host's account, this returns an empty string value, with some exceptions. See [Email address display rules](/docs/api/rest/using-zoom-apis/#email-address-display-rules) for details. -
participant_user_idstring— The participant's universally unique identifier (UUID). Returns an empty value for external users.
-
-
uuid(required)string— The meeting's universally unique identifier (UUID). Each meeting instance generates a meeting UUID.
-
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"uuid": "",
"participant": {
"user_id": "",
"participant_user_id": "",
"email": "",
"qos": [
{
"date_time": "",
"type": "audio_input",
"details": {
"bitrate": "",
"latency": "",
"jitter": "",
"avg_loss": "",
"max_loss": "",
"resolution": "",
"frame_rate": "",
"zoom_min_cpu_usage": "",
"zoom_avg_cpu_usage": "",
"zoom_max_cpu_usage": "",
"system_max_cpu_usage": "",
"system_min_cpu_pressure_level": "normal",
"system_avg_cpu_pressure_level": "normal",
"system_max_cpu_pressure_level": "normal",
"quality": "bad",
"quality_score": "",
"max_rssi": "-35",
"avg_rssi": "-69",
"min_rssi": "-75",
"rssi_unit": "dBm",
"network_notification": "network bandwidth low"
}
}
]
}
}
}
}
POST webinar.participant_data_summary
- Method:
POST - Path:
webinar.participant_data_summary - Tags: webinar
Request Body
Content-Type: application/json
-
event(required)string, possible values:"webinar.participant_data_summary"— Name of the event. -
event_ts(required)integer, format:int64— Timestamp (in milliseconds since epoch) at which the event occurred. The value of this field is returned in long(int64) format. -
payload(required)object-
account_id(required)string— Account ID -
object(required)object-
participant(required)object-
data(required)arrayItems:
-
as_internal_ip_address(required)string— Sharing internal ip address -
as_internal_ip_port(required)string— Sharing internal ip port -
audio_internal_ip_address(required)string— Audio internal ip address -
audio_internal_ip_port(required)string— Audio internal ip port -
camera(required)string— Camera, such as "Integrated Camera" -
connection_type(required)string— Connection type, such as "UDP" -
data_center(required)string— Data center, such as "SC (Sub)" -
destination_ip_domain(required)string— Destination internal ip domain -
destination_ip_port(required)string— Destination internal ip port -
device(required)string, possible values:"Windows", "Mac", "Phone" -
domain(required)string -
harddisk_id(required)string— Hard disk ID -
location(required)string— Participant's location, format as "city (country code)", such as "Sunnyvale (US)" -
mac_addr(required)string— Mac address, only available for windows client -
microphone(required)string— Microphone, such as "External Microphone (External Microphone)" -
network_type(required)string, possible values:"Wired", "Wifi", "PPP", "3G", "Others" -
pc_name(required)string -
signaling_internal_ip_address(required)string— Signaling internal ip address -
signaling_internal_ip_port(required)string— Signaling internal ip port -
signaling_ip_address(required)string— Signaling ip address for information other than audio, video, or share screen -
speaker(required)string— Headphones, such as "External Headphones (External Headphones)" -
version(required)string -
video_internal_ip_address(required)string— Video internal ip address -
video_internal_ip_port(required)string— Video internal ip port
-
-
participant_id(required)string— Participant ID -
emailstring, format:email— The participant's email address. This response only returns a value if the participant joined the meeting by logging into Zoom. If the participant is **not** part of the host's account, this returns an empty string value, with some exceptions. See [Email address display rules](https://marketplace.zoom.us/docs/api-reference/using-zoom-apis#email-address) for details. -
participant_user_idstring— The participant's universally unique ID (UUID). Returns an empty value for external users.
-
-
uuid(required)string— Webinar ID
-
-
Example:
{
"event": "webinar.participant_data_summary",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"uuid": "",
"participant": {
"participant_id": "",
"participant_user_id": "",
"email": "",
"data": [
{
"device": "Windows",
"location": "",
"network_type": "Wired",
"microphone": "",
"speaker": "",
"camera": "",
"data_center": "",
"connection_type": "",
"pc_name": "",
"domain": "",
"mac_addr": "",
"harddisk_id": "",
"version": "",
"signaling_ip_address": "",
"signaling_internal_ip_address": "",
"signaling_internal_ip_port": "",
"audio_internal_ip_address": "",
"audio_internal_ip_port": "",
"video_internal_ip_address": "",
"video_internal_ip_port": "",
"as_internal_ip_address": "",
"as_internal_ip_port": "",
"destination_ip_domain": "",
"destination_ip_port": ""
}
]
}
}
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string, possible values:"webinar.participant_data_summary"— Name of the event. -
event_ts(required)integer, format:int64— Timestamp (in milliseconds since epoch) at which the event occurred. The value of this field is returned in long(int64) format. -
payload(required)object-
account_id(required)string— Account ID -
object(required)object-
participant(required)object-
data(required)arrayItems:
-
as_internal_ip_address(required)string— Sharing internal ip address -
as_internal_ip_port(required)string— Sharing internal ip port -
audio_internal_ip_address(required)string— Audio internal ip address -
audio_internal_ip_port(required)string— Audio internal ip port -
camera(required)string— Camera, such as "Integrated Camera" -
connection_type(required)string— Connection type, such as "UDP" -
data_center(required)string— Data center, such as "SC (Sub)" -
destination_ip_domain(required)string— Destination internal ip domain -
destination_ip_port(required)string— Destination internal ip port -
device(required)string, possible values:"Windows", "Mac", "Phone" -
domain(required)string -
harddisk_id(required)string— Hard disk ID -
location(required)string— Participant's location, format as "city (country code)", such as "Sunnyvale (US)" -
mac_addr(required)string— Mac address, only available for windows client -
microphone(required)string— Microphone, such as "External Microphone (External Microphone)" -
network_type(required)string, possible values:"Wired", "Wifi", "PPP", "3G", "Others" -
pc_name(required)string -
signaling_internal_ip_address(required)string— Signaling internal ip address -
signaling_internal_ip_port(required)string— Signaling internal ip port -
signaling_ip_address(required)string— Signaling ip address for information other than audio, video, or share screen -
speaker(required)string— Headphones, such as "External Headphones (External Headphones)" -
version(required)string -
video_internal_ip_address(required)string— Video internal ip address -
video_internal_ip_port(required)string— Video internal ip port
-
-
participant_id(required)string— Participant ID -
emailstring, format:email— The participant's email address. This response only returns a value if the participant joined the meeting by logging into Zoom. If the participant is **not** part of the host's account, this returns an empty string value, with some exceptions. See [Email address display rules](https://marketplace.zoom.us/docs/api-reference/using-zoom-apis#email-address) for details. -
participant_user_idstring— The participant's universally unique ID (UUID). Returns an empty value for external users.
-
-
uuid(required)string— Webinar ID
-
-
Example:
{
"event": "webinar.participant_data_summary",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"uuid": "",
"participant": {
"participant_id": "",
"participant_user_id": "",
"email": "",
"data": [
{
"device": "Windows",
"location": "",
"network_type": "Wired",
"microphone": "",
"speaker": "",
"camera": "",
"data_center": "",
"connection_type": "",
"pc_name": "",
"domain": "",
"mac_addr": "",
"harddisk_id": "",
"version": "",
"signaling_ip_address": "",
"signaling_internal_ip_address": "",
"signaling_internal_ip_port": "",
"audio_internal_ip_address": "",
"audio_internal_ip_port": "",
"video_internal_ip_address": "",
"video_internal_ip_port": "",
"as_internal_ip_address": "",
"as_internal_ip_port": "",
"destination_ip_domain": "",
"destination_ip_port": ""
}
]
}
}
}
}
POST webinar.participant_qos
- Method:
POST - Path:
webinar.participant_qos - Tags: webinar
Request Body
Content-Type: application/json
-
event(required)string— The event's name. -
event_ts(required)integer, format:int64— Timestamp in milliseconds since epoch when the event occurred. The value is returned in long (int64) format. -
payload(required)object-
account_id(required)string— The Account ID associated with the event. -
object(required)object— Meeting object.-
participant(required)object— Participant object.-
qos(required)array— An array of Quality of Service (QoS) data.Items:
-
date_time(required)string— The timestamp for when the participant left. -
details(required)object— Quality of Service (QoS) details object.-
avg_lossstring— The average amount of packet loss, displayed as the percentage of packets that failed to arrive at their destination. -
avg_rssistring— Average value of the wireless network's received signal strength indicator (RSSI). -
bitratestring— The number of bits per second that can be transmitted along a digital network, in Kbps. -
frame_ratestring— The rate at which your video camera can produce unique images, or frames. Zoom supports a frame rate of up to 30 frames per second (FPS). -
jitterstring— The variation in the delay of received packets, in milliseconds. -
latencystring— The amount of time it takes for a packet to travel from one point to another, in milliseconds. -
max_lossstring— The maximum amount of packet loss, displayed as the maximum percentage of packets that failed to arrive at their destination. -
max_rssistring— Maximum value of the wireless network's received signal strength indicator (RSSI). -
min_rssistring— Minimum value of the wireless network's received signal strength indicator (RSSI). -
network_notificationstring, possible values:"network bandwidth low", "internet connection unstable"— Client-triggered network instability notification. -
qualityobject -
quality_scorestring— The quality score value. -
resolutionstring— The number of pixels in each dimension that can be displayed by your video camera. -
rssi_unitstring— Unit of the wireless network's received signal strength indicator (RSSI). -
system_avg_cpu_pressure_levelstring, possible values:"normal", "fair", "serious", "critical"— The system's average CPU pressure level during the preceding second, based on the [Compute Pressure API](https://developer.mozilla.org/en-US/docs/Web/API/Compute_Pressure_API#pressure_states). These levels are rough estimates of CPU usage: normal (~20%), fair (~50%), serious (~80%), and critical (~100%). -
system_max_cpu_pressure_levelstring, possible values:"normal", "fair", "serious", "critical"— The system's maximum CPU pressure level during the preceding second, based on the [Compute Pressure API](https://developer.mozilla.org/en-US/docs/Web/API/Compute_Pressure_API#pressure_states). These levels are rough estimates of CPU usage: normal (~20%), fair (~50%), serious (~80%), and critical (~100%). -
system_max_cpu_usagestring— System's maximum CPU usage. -
system_min_cpu_pressure_levelstring, possible values:"normal", "fair", "serious", "critical"— The system's minimum CPU pressure level during the preceding second, based on the [Compute Pressure API](https://developer.mozilla.org/en-US/docs/Web/API/Compute_Pressure_API#pressure_states). These levels are rough estimates of CPU usage: normal (~20%), fair (~50%), serious (~80%), and critical (~100%). -
zoom_avg_cpu_usagestring— Zoom's average CPU usage. -
zoom_max_cpu_usagestring— Zoom's maximum CPU usage. -
zoom_min_cpu_usagestring— Zoom's minimum CPU usage.
-
-
type(required)string, possible values:"audio_input", "audio_output", "video_input", "video_output", "as_input", "as_output", "cpu_usage", "audio_device_from_crc", "audio_device_to_crc", "video_device_from_crc", "video_device_to_crc", "as_device_from_crc", "as_device_to_crc", "audio_device_from_rwg", "audio_device_to_rwg", "video_device_from_rwg", "video_device_to_rwg", "as_device_from_rwg", "as_device_to_rwg", "audio_quality", "video_quality", "as_quality", "wifi_rssi", "notification"— Quality of Service (QoS) type.
-
-
user_id(required)string— The participant's unique identifier. -
emailstring, format:email— The participant's email address. This response only returns a value if the participant joined the meeting by logging into Zoom. If the participant is not part of the host's account, this returns an empty string value, with some exceptions. See [Email address display rules](/docs/api/using-zoom-apis/#email-address-display-rules) for details. -
participant_user_idstring— The participant's universally unique identifier (UUID). Returns an empty value for external users.
-
-
uuid(required)string— The meeting's universally unique identifier (UUID).
-
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"uuid": "",
"participant": {
"user_id": "",
"participant_user_id": "",
"email": "",
"qos": [
{
"date_time": "",
"type": "audio_input",
"details": {
"bitrate": "",
"latency": "",
"jitter": "",
"avg_loss": "",
"max_loss": "",
"resolution": "",
"frame_rate": "",
"zoom_min_cpu_usage": "",
"zoom_avg_cpu_usage": "",
"zoom_max_cpu_usage": "",
"system_max_cpu_usage": "",
"system_min_cpu_pressure_level": "normal",
"system_avg_cpu_pressure_level": "normal",
"system_max_cpu_pressure_level": "normal",
"quality": null,
"quality_score": "",
"max_rssi": "-35",
"avg_rssi": "-69",
"min_rssi": "-75",
"rssi_unit": "dBm",
"network_notification": "network bandwidth low"
}
}
]
}
}
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The event's name. -
event_ts(required)integer, format:int64— Timestamp in milliseconds since epoch when the event occurred. The value is returned in long (int64) format. -
payload(required)object-
account_id(required)string— The Account ID associated with the event. -
object(required)object— Meeting object.-
participant(required)object— Participant object.-
qos(required)array— An array of Quality of Service (QoS) data.Items:
-
date_time(required)string— The timestamp for when the participant left. -
details(required)object— Quality of Service (QoS) details object.-
avg_lossstring— The average amount of packet loss, displayed as the percentage of packets that failed to arrive at their destination. -
avg_rssistring— Average value of the wireless network's received signal strength indicator (RSSI). -
bitratestring— The number of bits per second that can be transmitted along a digital network, in Kbps. -
frame_ratestring— The rate at which your video camera can produce unique images, or frames. Zoom supports a frame rate of up to 30 frames per second (FPS). -
jitterstring— The variation in the delay of received packets, in milliseconds. -
latencystring— The amount of time it takes for a packet to travel from one point to another, in milliseconds. -
max_lossstring— The maximum amount of packet loss, displayed as the maximum percentage of packets that failed to arrive at their destination. -
max_rssistring— Maximum value of the wireless network's received signal strength indicator (RSSI). -
min_rssistring— Minimum value of the wireless network's received signal strength indicator (RSSI). -
network_notificationstring, possible values:"network bandwidth low", "internet connection unstable"— Client-triggered network instability notification. -
qualityobject -
quality_scorestring— The quality score value. -
resolutionstring— The number of pixels in each dimension that can be displayed by your video camera. -
rssi_unitstring— Unit of the wireless network's received signal strength indicator (RSSI). -
system_avg_cpu_pressure_levelstring, possible values:"normal", "fair", "serious", "critical"— The system's average CPU pressure level during the preceding second, based on the [Compute Pressure API](https://developer.mozilla.org/en-US/docs/Web/API/Compute_Pressure_API#pressure_states). These levels are rough estimates of CPU usage: normal (~20%), fair (~50%), serious (~80%), and critical (~100%). -
system_max_cpu_pressure_levelstring, possible values:"normal", "fair", "serious", "critical"— The system's maximum CPU pressure level during the preceding second, based on the [Compute Pressure API](https://developer.mozilla.org/en-US/docs/Web/API/Compute_Pressure_API#pressure_states). These levels are rough estimates of CPU usage: normal (~20%), fair (~50%), serious (~80%), and critical (~100%). -
system_max_cpu_usagestring— System's maximum CPU usage. -
system_min_cpu_pressure_levelstring, possible values:"normal", "fair", "serious", "critical"— The system's minimum CPU pressure level during the preceding second, based on the [Compute Pressure API](https://developer.mozilla.org/en-US/docs/Web/API/Compute_Pressure_API#pressure_states). These levels are rough estimates of CPU usage: normal (~20%), fair (~50%), serious (~80%), and critical (~100%). -
zoom_avg_cpu_usagestring— Zoom's average CPU usage. -
zoom_max_cpu_usagestring— Zoom's maximum CPU usage. -
zoom_min_cpu_usagestring— Zoom's minimum CPU usage.
-
-
type(required)string, possible values:"audio_input", "audio_output", "video_input", "video_output", "as_input", "as_output", "cpu_usage", "audio_device_from_crc", "audio_device_to_crc", "video_device_from_crc", "video_device_to_crc", "as_device_from_crc", "as_device_to_crc", "audio_device_from_rwg", "audio_device_to_rwg", "video_device_from_rwg", "video_device_to_rwg", "as_device_from_rwg", "as_device_to_rwg", "audio_quality", "video_quality", "as_quality", "wifi_rssi", "notification"— Quality of Service (QoS) type.
-
-
user_id(required)string— The participant's unique identifier. -
emailstring, format:email— The participant's email address. This response only returns a value if the participant joined the meeting by logging into Zoom. If the participant is not part of the host's account, this returns an empty string value, with some exceptions. See [Email address display rules](/docs/api/using-zoom-apis/#email-address-display-rules) for details. -
participant_user_idstring— The participant's universally unique identifier (UUID). Returns an empty value for external users.
-
-
uuid(required)string— The meeting's universally unique identifier (UUID).
-
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"uuid": "",
"participant": {
"user_id": "",
"participant_user_id": "",
"email": "",
"qos": [
{
"date_time": "",
"type": "audio_input",
"details": {
"bitrate": "",
"latency": "",
"jitter": "",
"avg_loss": "",
"max_loss": "",
"resolution": "",
"frame_rate": "",
"zoom_min_cpu_usage": "",
"zoom_avg_cpu_usage": "",
"zoom_max_cpu_usage": "",
"system_max_cpu_usage": "",
"system_min_cpu_pressure_level": "normal",
"system_avg_cpu_pressure_level": "normal",
"system_max_cpu_pressure_level": "normal",
"quality": null,
"quality_score": "",
"max_rssi": "-35",
"avg_rssi": "-69",
"min_rssi": "-75",
"rssi_unit": "dBm",
"network_notification": "network bandwidth low"
}
}
]
}
}
}
}
POST session.user_qos_summary
- Method:
POST - Path:
session.user_qos_summary - Tags: session
Request Body
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— The timestamp at which the event occurred. -
payload(required)object-
account_id(required)string— The Video SDK account ID. -
object(required)object— Information about the session.-
session_idstring— The unique session identifier. Each session instance has its own session ID. -
session_keystring— The Video SDK custom session ID. -
session_namestring— The session's name. -
userobject— Information about the user.-
id(required)string— The user's unique ID assigned upon joining the session, valid only for that session. -
is_original_host(required)boolean— Whether the current user is the original host of this session. -
name(required)string— The user's username. -
qos(required)array— Information about the user's quality of service (QoS).Items:
-
details(required)object-
avg_bitratestring— The average bits per second transmitted along a digital network, in Kbps. -
avg_frame_ratestring— The average rate at which the video camera can produce unique images (frames). Zoom supports a frame rate of up to 30 frames per second (FPS). -
avg_jitterstring— The average variation in the delay of received packets, in milliseconds. -
avg_latencystring— The average time it took a packet to travel from one point to another, in milliseconds. -
avg_lossstring— The average amount of packet loss as a percentage of packets that failed to arrive at their destination. -
avg_rssiinteger— Average value of the wireless network's received signal strength indicator (RSSI). -
max_bitratestring— The maximum bits per second transmitted along a digital network, in Kbps. -
max_frame_ratestring— The maximum rate at which the video camera can produce unique images (frames). Zoom supports a frame rate of up to 30 frames per second (FPS). -
max_jitterstring— The maximum variation in the delay of received packets, in milliseconds. -
max_latencystring— The maximum time it took a packet to travel from one point to another, in milliseconds. -
max_lossstring— The maximum amount of packet loss as a percentage of packets that failed to arrive at their destination. -
max_rssiinteger— Maximum value of the wireless network's received signal strength indicator (RSSI). -
min_bitratestring— The minimum bits per second transmitted along a digital network, in Kbps. -
min_frame_ratestring— The minimum rate at which the video camera can produce unique images (frames). Zoom supports a frame rate of up to 30 frames per second (FPS). -
min_jitterstring— The minimum variation in the delay of received packets, in milliseconds. -
min_latencystring— The minimum time it took a packet to travel from one point to another, in milliseconds. -
min_lossstring— The minimum amount of packet loss as a percentage of packets that failed to arrive at their destination. -
min_rssiinteger— Minimum value of the wireless network's received signal strength indicator (RSSI). -
qualitystring, possible values:"bad", "fair", "good", "poor"— The meeting quality assessment. -
quality_scorestring— The session quality score. -
resolutionstring— The number of pixels in each dimension that the video camera can display. -
rssi_unitstring— Unit of the wireless network's received signal strength indicator (RSSI). -
system_avg_cpu_pressure_levelstring, possible values:"normal", "fair", "serious", "critical"— The system's average CPU pressure level during the preceding second, based on the [Compute Pressure API](https://developer.mozilla.org/en-US/docs/Web/API/Compute_Pressure_API#pressure_states). These levels are rough estimates of CPU usage: normal (~20%), fair (~50%), serious (~80%), and critical (~100%). -
system_max_cpu_pressure_levelstring, possible values:"normal", "fair", "serious", "critical"— The system's maximum CPU pressure level during the preceding second, based on the [Compute Pressure API](https://developer.mozilla.org/en-US/docs/Web/API/Compute_Pressure_API#pressure_states). These levels are rough estimates of CPU usage: normal (~20%), fair (~50%), serious (~80%), and critical (~100%). -
system_max_cpu_usagestring— The system's maximum CPU usage. -
system_min_cpu_pressure_levelstring, possible values:"normal", "fair", "serious", "critical"— The system's minimum CPU pressure level during the preceding second, based on the [Compute Pressure API](https://developer.mozilla.org/en-US/docs/Web/API/Compute_Pressure_API#pressure_states). These levels are rough estimates of CPU usage: normal (~20%), fair (~50%), serious (~80%), and critical (~100%). -
zoom_avg_cpu_usagestring— Zoom's average CPU usage. -
zoom_max_cpu_usagestring— Zoom's maximum CPU usage. -
zoom_min_cpu_usagestring— Zoom's minimum CPU usage.
-
-
type(required)string, possible values:"audio_input", "audio_output", "video_input", "video_output", "as_input", "as_output", "cpu_usage", "audio_device_from_crc", "audio_device_to_crc", "video_device_from_crc", "video_device_to_crc", "as_device_from_crc", "as_device_to_crc", "audio_device_from_rwg", "audio_device_to_rwg", "video_device_from_rwg", "video_device_to_rwg", "as_device_from_rwg", "as_device_to_rwg", "audio_quality", "video_quality", "as_quality", "wifi_rssi"— The QoS type.
-
-
user_keystring— An additional identifier for the user. Can be numeric or alphanumeric.
-
-
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"session_id": "",
"session_name": "",
"session_key": "",
"user": {
"id": "",
"name": "",
"user_key": "",
"is_original_host": true,
"qos": [
{
"type": "audio_input",
"details": {
"min_bitrate": "",
"avg_bitrate": "",
"max_bitrate": "",
"min_latency": "",
"avg_latency": "",
"max_latency": "",
"min_jitter": "",
"avg_jitter": "",
"max_jitter": "",
"min_loss": "",
"avg_loss": "",
"max_loss": "",
"resolution": "",
"min_frame_rate": "",
"avg_frame_rate": "",
"max_frame_rate": "",
"zoom_min_cpu_usage": "",
"zoom_avg_cpu_usage": "",
"zoom_max_cpu_usage": "",
"system_max_cpu_usage": "",
"system_min_cpu_pressure_level": "normal",
"system_avg_cpu_pressure_level": "normal",
"system_max_cpu_pressure_level": "normal",
"quality": "bad",
"quality_score": "",
"max_rssi": "-35",
"avg_rssi": "-69",
"min_rssi": "-75",
"rssi_unit": "dBm"
}
}
]
}
}
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— The timestamp at which the event occurred. -
payload(required)object-
account_id(required)string— The Video SDK account ID. -
object(required)object— Information about the session.-
session_idstring— The unique session identifier. Each session instance has its own session ID. -
session_keystring— The Video SDK custom session ID. -
session_namestring— The session's name. -
userobject— Information about the user.-
id(required)string— The user's unique ID assigned upon joining the session, valid only for that session. -
is_original_host(required)boolean— Whether the current user is the original host of this session. -
name(required)string— The user's username. -
qos(required)array— Information about the user's quality of service (QoS).Items:
-
details(required)object-
avg_bitratestring— The average bits per second transmitted along a digital network, in Kbps. -
avg_frame_ratestring— The average rate at which the video camera can produce unique images (frames). Zoom supports a frame rate of up to 30 frames per second (FPS). -
avg_jitterstring— The average variation in the delay of received packets, in milliseconds. -
avg_latencystring— The average time it took a packet to travel from one point to another, in milliseconds. -
avg_lossstring— The average amount of packet loss as a percentage of packets that failed to arrive at their destination. -
avg_rssiinteger— Average value of the wireless network's received signal strength indicator (RSSI). -
max_bitratestring— The maximum bits per second transmitted along a digital network, in Kbps. -
max_frame_ratestring— The maximum rate at which the video camera can produce unique images (frames). Zoom supports a frame rate of up to 30 frames per second (FPS). -
max_jitterstring— The maximum variation in the delay of received packets, in milliseconds. -
max_latencystring— The maximum time it took a packet to travel from one point to another, in milliseconds. -
max_lossstring— The maximum amount of packet loss as a percentage of packets that failed to arrive at their destination. -
max_rssiinteger— Maximum value of the wireless network's received signal strength indicator (RSSI). -
min_bitratestring— The minimum bits per second transmitted along a digital network, in Kbps. -
min_frame_ratestring— The minimum rate at which the video camera can produce unique images (frames). Zoom supports a frame rate of up to 30 frames per second (FPS). -
min_jitterstring— The minimum variation in the delay of received packets, in milliseconds. -
min_latencystring— The minimum time it took a packet to travel from one point to another, in milliseconds. -
min_lossstring— The minimum amount of packet loss as a percentage of packets that failed to arrive at their destination. -
min_rssiinteger— Minimum value of the wireless network's received signal strength indicator (RSSI). -
qualitystring, possible values:"bad", "fair", "good", "poor"— The meeting quality assessment. -
quality_scorestring— The session quality score. -
resolutionstring— The number of pixels in each dimension that the video camera can display. -
rssi_unitstring— Unit of the wireless network's received signal strength indicator (RSSI). -
system_avg_cpu_pressure_levelstring, possible values:"normal", "fair", "serious", "critical"— The system's average CPU pressure level during the preceding second, based on the [Compute Pressure API](https://developer.mozilla.org/en-US/docs/Web/API/Compute_Pressure_API#pressure_states). These levels are rough estimates of CPU usage: normal (~20%), fair (~50%), serious (~80%), and critical (~100%). -
system_max_cpu_pressure_levelstring, possible values:"normal", "fair", "serious", "critical"— The system's maximum CPU pressure level during the preceding second, based on the [Compute Pressure API](https://developer.mozilla.org/en-US/docs/Web/API/Compute_Pressure_API#pressure_states). These levels are rough estimates of CPU usage: normal (~20%), fair (~50%), serious (~80%), and critical (~100%). -
system_max_cpu_usagestring— The system's maximum CPU usage. -
system_min_cpu_pressure_levelstring, possible values:"normal", "fair", "serious", "critical"— The system's minimum CPU pressure level during the preceding second, based on the [Compute Pressure API](https://developer.mozilla.org/en-US/docs/Web/API/Compute_Pressure_API#pressure_states). These levels are rough estimates of CPU usage: normal (~20%), fair (~50%), serious (~80%), and critical (~100%). -
zoom_avg_cpu_usagestring— Zoom's average CPU usage. -
zoom_max_cpu_usagestring— Zoom's maximum CPU usage. -
zoom_min_cpu_usagestring— Zoom's minimum CPU usage.
-
-
type(required)string, possible values:"audio_input", "audio_output", "video_input", "video_output", "as_input", "as_output", "cpu_usage", "audio_device_from_crc", "audio_device_to_crc", "video_device_from_crc", "video_device_to_crc", "as_device_from_crc", "as_device_to_crc", "audio_device_from_rwg", "audio_device_to_rwg", "video_device_from_rwg", "video_device_to_rwg", "as_device_from_rwg", "as_device_to_rwg", "audio_quality", "video_quality", "as_quality", "wifi_rssi"— The QoS type.
-
-
user_keystring— An additional identifier for the user. Can be numeric or alphanumeric.
-
-
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"session_id": "",
"session_name": "",
"session_key": "",
"user": {
"id": "",
"name": "",
"user_key": "",
"is_original_host": true,
"qos": [
{
"type": "audio_input",
"details": {
"min_bitrate": "",
"avg_bitrate": "",
"max_bitrate": "",
"min_latency": "",
"avg_latency": "",
"max_latency": "",
"min_jitter": "",
"avg_jitter": "",
"max_jitter": "",
"min_loss": "",
"avg_loss": "",
"max_loss": "",
"resolution": "",
"min_frame_rate": "",
"avg_frame_rate": "",
"max_frame_rate": "",
"zoom_min_cpu_usage": "",
"zoom_avg_cpu_usage": "",
"zoom_max_cpu_usage": "",
"system_max_cpu_usage": "",
"system_min_cpu_pressure_level": "normal",
"system_avg_cpu_pressure_level": "normal",
"system_max_cpu_pressure_level": "normal",
"quality": "bad",
"quality_score": "",
"max_rssi": "-35",
"avg_rssi": "-69",
"min_rssi": "-75",
"rssi_unit": "dBm"
}
}
]
}
}
}
}
POST webinar.participant_qos_summary
- Method:
POST - Path:
webinar.participant_qos_summary - Tags: webinar
Request Body
Content-Type: application/json
-
event(required)string, possible values:"webinar.participant_qos_summary"— The event's name. -
event_ts(required)integer, format:int64— The timestamp in milliseconds since epoch when the event occurred, in long (int64) format. -
payload(required)object-
account_id(required)string -
object(required)object-
idstring— The webinar number. -
participantobject-
email(required)string, format:email— The participant's email address. This response only returns a value if the participant joined the meeting by logging into Zoom. If the participant is **not** part of the host's account, this returns an empty string value, with some exceptions. See [Email address display rules](https://developers.zoom.us/docs/api/rest/using-zoom-apis/#email-address-display-rules) for details. -
id(required)string— The participant's universally unique identifier (UUID): * If the participant joins the meeting by logging into Zoom, this value is the id value in the [**Get a user**](/docs/api/users/#tag/users/get/users/{userId}) API response. * If the participant joins the meeting **without** logging into Zoom, this returns an empty ("") value. -
participant_id(required)string— The participant's meeting user ID. This value is assigned to a participant upon joining a meeting and is only valid for the duration of the meeting. -
qos(required)arrayItems:
-
details(required)object-
avg_bitratestring— The average bits per second transmitted along a digital network, in Kbps. -
avg_frame_ratestring— The average rate at which the video camera can produce unique images (frames). Zoom supports a frame rate of up to 30 frames per second (FPS). -
avg_jitterstring— The average variation in the delay of received packets, in milliseconds. -
avg_latencystring— The average time it took a packet to travel from one point to another, in milliseconds. -
avg_lossstring— The average amount of packet loss, expressed as the percentage of packets that failed to arrive at their destination. -
avg_rssiinteger— The average value of the wireless network's received signal strength indicator (RSSI). -
max_bitratestring— The maximum bits per second transmitted along a digital network, in Kbps. -
max_frame_ratestring— The maximum rate at which the video camera can produce unique images (frames). Zoom supports a frame rate of up to 30 frames per second (FPS). -
max_jitterstring— The maximum variation in the delay of received packets, in milliseconds. -
max_latencystring— The maximum time it took a packet to travel from one point to another, in milliseconds. -
max_lossstring— The maximum amount of packet loss, expressed as the percentage of packets that failed to arrive at their destination. -
max_rssiinteger— The maximum value of the wireless network's received signal strength indicator (RSSI). -
min_bitratestring— The minimum bits per second transmitted along a digital network, in Kbps. -
min_frame_ratestring— The minimum rate at which the video camera can produce unique images (frames). Zoom supports a frame rate of up to 30 frames per second (FPS). -
min_jitterstring— The minimum variation in the delay of received packets, in milliseconds. -
min_latencystring— The minimum time it took a packet to travel from one point to another, in milliseconds. -
min_lossstring— The minimum amount of packet loss, expressed as the percentage of packets that failed to arrive at their destination. -
min_rssiinteger— The minimum value of the wireless network's received signal strength indicator (RSSI). -
qualitystring, possible values:"bad", "fair", "good", "poor"— The meeting quality object. -
quality_scorestring— The meeting quality score. -
resolutionstring— The number of pixels in each dimension that the video camera can display. -
rssi_unitstring— The unit of measurement for the wireless network's received signal strength indicator (RSSI). -
system_avg_cpu_pressure_levelstring, possible values:"normal", "fair", "serious", "critical"— The system's average CPU pressure level during the preceding second, based on the [Compute Pressure API](https://developer.mozilla.org/en-US/docs/Web/API/Compute_Pressure_API#pressure_states). These levels are rough estimates of CPU usage: normal (~20%), fair (~50%), serious (~80%), and critical (~100%). -
system_max_cpu_pressure_levelstring, possible values:"normal", "fair", "serious", "critical"— The system's maximum CPU pressure level during the preceding second, based on the [Compute Pressure API](https://developer.mozilla.org/en-US/docs/Web/API/Compute_Pressure_API#pressure_states). These levels are rough estimates of CPU usage: normal (~20%), fair (~50%), serious (~80%), and critical (~100%). -
system_max_cpu_usagestring— The system's maximum CPU usage. -
system_min_cpu_pressure_levelstring, possible values:"normal", "fair", "serious", "critical"— The system's minimum CPU pressure level during the preceding second, based on the [Compute Pressure API](https://developer.mozilla.org/en-US/docs/Web/API/Compute_Pressure_API#pressure_states). These levels are rough estimates of CPU usage: normal (~20%), fair (~50%), serious (~80%), and critical (~100%). -
zoom_avg_cpu_usagestring— Zoom's average CPU usage. -
zoom_max_cpu_usagestring— Zoom's maximum CPU usage. -
zoom_min_cpu_usagestring— Zoom's minimum CPU usage.
-
-
type(required)string, possible values:"audio_input", "audio_output", "video_input", "video_output", "as_input", "as_output", "cpu_usage", "audio_device_from_crc", "audio_device_to_crc", "video_device_from_crc", "video_device_to_crc", "as_device_from_crc", "as_device_to_crc", "audio_device_from_rwg", "audio_device_to_rwg", "video_device_from_rwg", "video_device_to_rwg", "as_device_from_rwg", "as_device_to_rwg", "audio_quality", "video_quality", "as_quality", "wifi_rssi"
-
-
user_name(required)string— The participant's display name.
-
-
uuidstring— The webinar's universally unique identifier (UUID).
-
-
Example:
{
"event": "webinar.participant_qos_summary",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"uuid": "",
"id": "",
"participant": {
"participant_id": "",
"user_name": "",
"id": "",
"email": "",
"qos": [
{
"type": "audio_input",
"details": {
"min_bitrate": "",
"avg_bitrate": "",
"max_bitrate": "",
"min_latency": "",
"avg_latency": "",
"max_latency": "",
"min_jitter": "",
"avg_jitter": "",
"max_jitter": "",
"min_loss": "",
"avg_loss": "",
"max_loss": "",
"resolution": "",
"min_frame_rate": "",
"avg_frame_rate": "",
"max_frame_rate": "",
"zoom_min_cpu_usage": "",
"zoom_avg_cpu_usage": "",
"zoom_max_cpu_usage": "",
"system_max_cpu_usage": "",
"system_min_cpu_pressure_level": "normal",
"system_avg_cpu_pressure_level": "normal",
"system_max_cpu_pressure_level": "normal",
"quality": "bad",
"quality_score": "",
"max_rssi": "-75",
"avg_rssi": "-69",
"min_rssi": "-35",
"rssi_unit": "dBm"
}
}
]
}
}
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string, possible values:"webinar.participant_qos_summary"— The event's name. -
event_ts(required)integer, format:int64— The timestamp in milliseconds since epoch when the event occurred, in long (int64) format. -
payload(required)object-
account_id(required)string -
object(required)object-
idstring— The webinar number. -
participantobject-
email(required)string, format:email— The participant's email address. This response only returns a value if the participant joined the meeting by logging into Zoom. If the participant is **not** part of the host's account, this returns an empty string value, with some exceptions. See [Email address display rules](https://developers.zoom.us/docs/api/rest/using-zoom-apis/#email-address-display-rules) for details. -
id(required)string— The participant's universally unique identifier (UUID): * If the participant joins the meeting by logging into Zoom, this value is the id value in the [**Get a user**](/docs/api/users/#tag/users/get/users/{userId}) API response. * If the participant joins the meeting **without** logging into Zoom, this returns an empty ("") value. -
participant_id(required)string— The participant's meeting user ID. This value is assigned to a participant upon joining a meeting and is only valid for the duration of the meeting. -
qos(required)arrayItems:
-
details(required)object-
avg_bitratestring— The average bits per second transmitted along a digital network, in Kbps. -
avg_frame_ratestring— The average rate at which the video camera can produce unique images (frames). Zoom supports a frame rate of up to 30 frames per second (FPS). -
avg_jitterstring— The average variation in the delay of received packets, in milliseconds. -
avg_latencystring— The average time it took a packet to travel from one point to another, in milliseconds. -
avg_lossstring— The average amount of packet loss, expressed as the percentage of packets that failed to arrive at their destination. -
avg_rssiinteger— The average value of the wireless network's received signal strength indicator (RSSI). -
max_bitratestring— The maximum bits per second transmitted along a digital network, in Kbps. -
max_frame_ratestring— The maximum rate at which the video camera can produce unique images (frames). Zoom supports a frame rate of up to 30 frames per second (FPS). -
max_jitterstring— The maximum variation in the delay of received packets, in milliseconds. -
max_latencystring— The maximum time it took a packet to travel from one point to another, in milliseconds. -
max_lossstring— The maximum amount of packet loss, expressed as the percentage of packets that failed to arrive at their destination. -
max_rssiinteger— The maximum value of the wireless network's received signal strength indicator (RSSI). -
min_bitratestring— The minimum bits per second transmitted along a digital network, in Kbps. -
min_frame_ratestring— The minimum rate at which the video camera can produce unique images (frames). Zoom supports a frame rate of up to 30 frames per second (FPS). -
min_jitterstring— The minimum variation in the delay of received packets, in milliseconds. -
min_latencystring— The minimum time it took a packet to travel from one point to another, in milliseconds. -
min_lossstring— The minimum amount of packet loss, expressed as the percentage of packets that failed to arrive at their destination. -
min_rssiinteger— The minimum value of the wireless network's received signal strength indicator (RSSI). -
qualitystring, possible values:"bad", "fair", "good", "poor"— The meeting quality object. -
quality_scorestring— The meeting quality score. -
resolutionstring— The number of pixels in each dimension that the video camera can display. -
rssi_unitstring— The unit of measurement for the wireless network's received signal strength indicator (RSSI). -
system_avg_cpu_pressure_levelstring, possible values:"normal", "fair", "serious", "critical"— The system's average CPU pressure level during the preceding second, based on the [Compute Pressure API](https://developer.mozilla.org/en-US/docs/Web/API/Compute_Pressure_API#pressure_states). These levels are rough estimates of CPU usage: normal (~20%), fair (~50%), serious (~80%), and critical (~100%). -
system_max_cpu_pressure_levelstring, possible values:"normal", "fair", "serious", "critical"— The system's maximum CPU pressure level during the preceding second, based on the [Compute Pressure API](https://developer.mozilla.org/en-US/docs/Web/API/Compute_Pressure_API#pressure_states). These levels are rough estimates of CPU usage: normal (~20%), fair (~50%), serious (~80%), and critical (~100%). -
system_max_cpu_usagestring— The system's maximum CPU usage. -
system_min_cpu_pressure_levelstring, possible values:"normal", "fair", "serious", "critical"— The system's minimum CPU pressure level during the preceding second, based on the [Compute Pressure API](https://developer.mozilla.org/en-US/docs/Web/API/Compute_Pressure_API#pressure_states). These levels are rough estimates of CPU usage: normal (~20%), fair (~50%), serious (~80%), and critical (~100%). -
zoom_avg_cpu_usagestring— Zoom's average CPU usage. -
zoom_max_cpu_usagestring— Zoom's maximum CPU usage. -
zoom_min_cpu_usagestring— Zoom's minimum CPU usage.
-
-
type(required)string, possible values:"audio_input", "audio_output", "video_input", "video_output", "as_input", "as_output", "cpu_usage", "audio_device_from_crc", "audio_device_to_crc", "video_device_from_crc", "video_device_to_crc", "as_device_from_crc", "as_device_to_crc", "audio_device_from_rwg", "audio_device_to_rwg", "video_device_from_rwg", "video_device_to_rwg", "as_device_from_rwg", "as_device_to_rwg", "audio_quality", "video_quality", "as_quality", "wifi_rssi"
-
-
user_name(required)string— The participant's display name.
-
-
uuidstring— The webinar's universally unique identifier (UUID).
-
-
Example:
{
"event": "webinar.participant_qos_summary",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"uuid": "",
"id": "",
"participant": {
"participant_id": "",
"user_name": "",
"id": "",
"email": "",
"qos": [
{
"type": "audio_input",
"details": {
"min_bitrate": "",
"avg_bitrate": "",
"max_bitrate": "",
"min_latency": "",
"avg_latency": "",
"max_latency": "",
"min_jitter": "",
"avg_jitter": "",
"max_jitter": "",
"min_loss": "",
"avg_loss": "",
"max_loss": "",
"resolution": "",
"min_frame_rate": "",
"avg_frame_rate": "",
"max_frame_rate": "",
"zoom_min_cpu_usage": "",
"zoom_avg_cpu_usage": "",
"zoom_max_cpu_usage": "",
"system_max_cpu_usage": "",
"system_min_cpu_pressure_level": "normal",
"system_avg_cpu_pressure_level": "normal",
"system_max_cpu_pressure_level": "normal",
"quality": "bad",
"quality_score": "",
"max_rssi": "-75",
"avg_rssi": "-69",
"min_rssi": "-35",
"rssi_unit": "dBm"
}
}
]
}
}
}
}
POST meeting.participant_data
- Method:
POST - Path:
meeting.participant_data - Tags: meeting
Request Body
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object-
account_id(required)string— The meeting host's account ID. -
object(required)object— Information about the meeting.-
participant(required)object— Information about the meeting participant.-
data(required)array— The participant's data information.Items:
-
as_internal_ip_addressstring— The participant's sharing internal IP address. -
as_internal_ip_portstring— The participant's sharing internal IP port. -
audio_internal_ip_addressstring— The participant's audio internal IP address. -
audio_internal_ip_portstring— The participant's audio internal IP port. -
camerastring— The type of camera that the participant used during the meeting. -
connection_typestring— The participant's connection type. -
data_centerstring— The data center where participant's meeting data is stored. -
destination_ip_domainstring— The participant's destination internal IP domain. -
destination_ip_portstring— The participant's destination internal IP port. -
devicestring, possible values:"Phone", "H.323/SIP", "Windows", "Mac", "iOS", "Android"— The type of device the participant used to join the meeting: * Phone — The participant joined via PSTN. * H.323/SIP — The participant joined via an H.323 or SIP device. * Windows — The participant joined via VoIP using a Windows device. * Mac — The participant joined via VoIP using a Mac device. * iOS — The participant joined via VoIP using an iOS device. * Android — The participant joined via VoIP using an Android device. -
domainstring— The participant's PC domain. -
harddisk_idstring— The participant's hard disk ID. -
locationstring— The participant's location. -
Locationstring— Deprecated, use location. -
mac_addrstring— The participant's MAC address. -
microphonestring— The type of microphone that the participant used during the meeting. -
network_typestring, possible values:"Wired", "Wifi", "PPP", "Cellular", "Others"— The participant's network type: * Wired * Wifi * PPP — Point-to-Point. * Cellular — 3G, 4G, and 5G cellular. * Others — An unknown device. -
pc_namestring— The participant's PC name. -
signaling_internal_ip_addressstring— The participant's signaling internal IP address. -
signaling_internal_ip_portstring— The participant's signaling internal IP port. -
signaling_ip_addressstring— The participant's signaling IP address for information other than audio, video, or share screen. -
speakerstring— The type of speaker that the participant used during the meeting. -
versionstring— The participant's Zoom client version. -
video_internal_ip_addressstring— The participant's video internal IP address. -
video_internal_ip_portstring— The participant's video internal IP port.
-
-
participant_id(required)string— The participant's meeting user ID. This value is assigned to a participant upon joining a meeting and is only valid for the duration of the meeting. -
emailstring, format:email— The participant's email address. This response only returns a value if the participant joined the meeting by logging into Zoom. If the participant is **not** part of the host's account, this returns an empty string value, with some exceptions. See [Email address display rules](https://marketplace.zoom.us/docs/api-reference/using-zoom-apis#email-address) for details. -
participant_user_idstring— The participant's universally unique ID (UUID). Returns an empty value for external users.
-
-
uuid(required)string— The meeting's universally unique identifier (UUID). Each meeting instance generates a meeting UUID.
-
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"uuid": "",
"participant": {
"participant_id": "",
"participant_user_id": "",
"email": "",
"data": [
{
"device": "Phone",
"location": "",
"network_type": "Wired",
"microphone": "",
"speaker": "",
"camera": "",
"data_center": "",
"connection_type": "",
"pc_name": "",
"domain": "",
"mac_addr": "",
"harddisk_id": "",
"version": "",
"signaling_ip_address": "",
"signaling_internal_ip_address": "",
"signaling_internal_ip_port": "",
"audio_internal_ip_address": "",
"audio_internal_ip_port": "",
"video_internal_ip_address": "",
"video_internal_ip_port": "",
"as_internal_ip_address": "",
"as_internal_ip_port": "",
"destination_ip_domain": "",
"destination_ip_port": ""
}
]
}
}
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object-
account_id(required)string— The meeting host's account ID. -
object(required)object— Information about the meeting.-
participant(required)object— Information about the meeting participant.-
data(required)array— The participant's data information.Items:
-
as_internal_ip_addressstring— The participant's sharing internal IP address. -
as_internal_ip_portstring— The participant's sharing internal IP port. -
audio_internal_ip_addressstring— The participant's audio internal IP address. -
audio_internal_ip_portstring— The participant's audio internal IP port. -
camerastring— The type of camera that the participant used during the meeting. -
connection_typestring— The participant's connection type. -
data_centerstring— The data center where participant's meeting data is stored. -
destination_ip_domainstring— The participant's destination internal IP domain. -
destination_ip_portstring— The participant's destination internal IP port. -
devicestring, possible values:"Phone", "H.323/SIP", "Windows", "Mac", "iOS", "Android"— The type of device the participant used to join the meeting: * Phone — The participant joined via PSTN. * H.323/SIP — The participant joined via an H.323 or SIP device. * Windows — The participant joined via VoIP using a Windows device. * Mac — The participant joined via VoIP using a Mac device. * iOS — The participant joined via VoIP using an iOS device. * Android — The participant joined via VoIP using an Android device. -
domainstring— The participant's PC domain. -
harddisk_idstring— The participant's hard disk ID. -
locationstring— The participant's location. -
Locationstring— Deprecated, use location. -
mac_addrstring— The participant's MAC address. -
microphonestring— The type of microphone that the participant used during the meeting. -
network_typestring, possible values:"Wired", "Wifi", "PPP", "Cellular", "Others"— The participant's network type: * Wired * Wifi * PPP — Point-to-Point. * Cellular — 3G, 4G, and 5G cellular. * Others — An unknown device. -
pc_namestring— The participant's PC name. -
signaling_internal_ip_addressstring— The participant's signaling internal IP address. -
signaling_internal_ip_portstring— The participant's signaling internal IP port. -
signaling_ip_addressstring— The participant's signaling IP address for information other than audio, video, or share screen. -
speakerstring— The type of speaker that the participant used during the meeting. -
versionstring— The participant's Zoom client version. -
video_internal_ip_addressstring— The participant's video internal IP address. -
video_internal_ip_portstring— The participant's video internal IP port.
-
-
participant_id(required)string— The participant's meeting user ID. This value is assigned to a participant upon joining a meeting and is only valid for the duration of the meeting. -
emailstring, format:email— The participant's email address. This response only returns a value if the participant joined the meeting by logging into Zoom. If the participant is **not** part of the host's account, this returns an empty string value, with some exceptions. See [Email address display rules](https://marketplace.zoom.us/docs/api-reference/using-zoom-apis#email-address) for details. -
participant_user_idstring— The participant's universally unique ID (UUID). Returns an empty value for external users.
-
-
uuid(required)string— The meeting's universally unique identifier (UUID). Each meeting instance generates a meeting UUID.
-
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"uuid": "",
"participant": {
"participant_id": "",
"participant_user_id": "",
"email": "",
"data": [
{
"device": "Phone",
"location": "",
"network_type": "Wired",
"microphone": "",
"speaker": "",
"camera": "",
"data_center": "",
"connection_type": "",
"pc_name": "",
"domain": "",
"mac_addr": "",
"harddisk_id": "",
"version": "",
"signaling_ip_address": "",
"signaling_internal_ip_address": "",
"signaling_internal_ip_port": "",
"audio_internal_ip_address": "",
"audio_internal_ip_port": "",
"video_internal_ip_address": "",
"video_internal_ip_port": "",
"as_internal_ip_address": "",
"as_internal_ip_port": "",
"destination_ip_domain": "",
"destination_ip_port": ""
}
]
}
}
}
}
POST phone.call_qos
- Method:
POST - Path:
phone.call_qos - Tags: phone
Request Body
Content-Type: application/json
-
event(required)string, possible values:"phone.call_qos"— Name of the event. -
event_ts(required)integer, format:int64— Timestamp when the event occurred, in milliseconds since epoch. The value of this field is returned in long (int64) format. -
payload(required)object-
account_id(required)string— The Account ID of the owner. -
object(required)object-
call_id(required)string— The call ID. -
call_qos(required)object— The call quality of service (QoS)-
id(required)string— The caller or callee's ID. -
qos(required)object— The quality of service (QoS) data.-
date_time(required)string, format:date-time— The date and time when the QoS data was received. -
details(required)object— The quality of service (QoS) details.-
avg_loss(required)string— The average amount of packet loss. For example, the percentage of packets that failed to arrive at their destination. -
bitrate(required)string— The bits per second transmitted along a digital network, in Kbsp. -
jitter(required)string— The variation in the delay of received packets, in milliseconds. -
max_loss(required)string— The maximum amount of packet loss. For example, the maximum percentage of packets that failed to arrive at their destination. -
mos(required)string— The Mean Opinion Score (MOS). This measures voice quality on a scale of 1 to 5. A score above or equal to 3.5 means good quality, while below 3.5 means poor quality. -
network_delay(required)string— The amount of time, in milliseconds, that it takes for a Voice Over IP (VoIP) packet to travel from one point to another. -
networkstring— The type of networks such as LAN, WiFi, VPN etc
-
-
type(required)string— The QoS type: sending or receiving.
-
-
type(required)string— The type: caller or callee. -
user_emailstring— The caller or callee's email address.
-
-
call_start_time(required)string, format:date-time— The date and time when the call started. -
call_end_timestring, format:date-time— The date and time when the call ended. Only shows up if the call ended.
-
-
Example:
{
"event": "phone.call_qos",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"call_id": "",
"call_start_time": "",
"call_end_time": "",
"call_qos": {
"type": "",
"id": "",
"user_email": "",
"qos": {
"date_time": "",
"type": "",
"details": {
"bitrate": "",
"avg_loss": "",
"max_loss": "",
"jitter": "",
"network_delay": "",
"mos": "",
"network": ""
}
}
}
}
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string, possible values:"phone.call_qos"— Name of the event. -
event_ts(required)integer, format:int64— Timestamp when the event occurred, in milliseconds since epoch. The value of this field is returned in long (int64) format. -
payload(required)object-
account_id(required)string— The Account ID of the owner. -
object(required)object-
call_id(required)string— The call ID. -
call_qos(required)object— The call quality of service (QoS)-
id(required)string— The caller or callee's ID. -
qos(required)object— The quality of service (QoS) data.-
date_time(required)string, format:date-time— The date and time when the QoS data was received. -
details(required)object— The quality of service (QoS) details.-
avg_loss(required)string— The average amount of packet loss. For example, the percentage of packets that failed to arrive at their destination. -
bitrate(required)string— The bits per second transmitted along a digital network, in Kbsp. -
jitter(required)string— The variation in the delay of received packets, in milliseconds. -
max_loss(required)string— The maximum amount of packet loss. For example, the maximum percentage of packets that failed to arrive at their destination. -
mos(required)string— The Mean Opinion Score (MOS). This measures voice quality on a scale of 1 to 5. A score above or equal to 3.5 means good quality, while below 3.5 means poor quality. -
network_delay(required)string— The amount of time, in milliseconds, that it takes for a Voice Over IP (VoIP) packet to travel from one point to another. -
networkstring— The type of networks such as LAN, WiFi, VPN etc
-
-
type(required)string— The QoS type: sending or receiving.
-
-
type(required)string— The type: caller or callee. -
user_emailstring— The caller or callee's email address.
-
-
call_start_time(required)string, format:date-time— The date and time when the call started. -
call_end_timestring, format:date-time— The date and time when the call ended. Only shows up if the call ended.
-
-
Example:
{
"event": "phone.call_qos",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"call_id": "",
"call_start_time": "",
"call_end_time": "",
"call_qos": {
"type": "",
"id": "",
"user_email": "",
"qos": {
"date_time": "",
"type": "",
"details": {
"bitrate": "",
"avg_loss": "",
"max_loss": "",
"jitter": "",
"network_delay": "",
"mos": "",
"network": ""
}
}
}
}
}
}
POST session.user_data
- Method:
POST - Path:
session.user_data - Tags: session
Request Body
Content-Type: application/json
-
event(required)string— The event's name. -
event_ts(required)integer, format:int64— A timestamp when the event occurred. -
payload(required)object-
account_id(required)string— The Video SDK account ID. -
object(required)object— Information about the session.-
session_id(required)string— Unique session identifier. Each instance of the session will have its own session_id. -
session_name(required)string— Session name. -
user(required)object— Information about the session user.-
data(required)array— The user's data information.Items:
-
as_internal_ip_addressstring— The user's sharing internal IP address. -
as_internal_ip_portstring— The user's sharing internal IP port. -
audio_internal_ip_addressstring— The user's audio internal IP address. -
audio_internal_ip_portstring— The user's audio internal IP port. -
camerastring— The type of camera that the user used during the session. -
connection_typestring— The user's connection type. -
data_centerstring— The data center where user's session data is stored. -
destination_ip_domainstring— The user's destination internal IP domain. -
destination_ip_portstring— The user's destination internal IP port. -
devicestring, possible values:"Phone", "H.323/SIP", "Windows", "Mac", "iOS", "Android"— The type of device the user used to join the session. * Phone - The user joined via PSTN. * H.323/SIP - The user joined via an H.323 or SIP device. * Windows - The user joined via VoIP using a Windows device. * Mac - The user joined via VoIP using a macOS device. * iOS - The user joined via VoIP using an iOS device. * Android - The user joined via VoIP using an Android device. -
domainstring— The user's PC domain. -
harddisk_idstring— The user's hard disk ID. -
locationstring— The user's location. -
mac_addrstring— The user's MAC address. -
microphonestring— The type of microphone that the user used during the session. -
network_typestring, possible values:"Wired", "Wifi", "PPP", "Cellular", "Others"— The user's network type. * Wired * Wifi * PPP - Point-to-Point. * Cellular - 3G, 4G, and 5G cellular. * Others - An unknown device. -
pc_namestring— The user's PC name. -
signaling_internal_ip_addressstring— The user's signaling internal IP address. -
signaling_internal_ip_portstring— The user's signaling internal IP port. -
signaling_ip_addressstring— The user's signaling IP address for information other than audio, video, or share screen. -
speakerstring— The type of speaker that the user used during the session. -
versionstring— The user's Zoom client version. -
video_internal_ip_addressstring— The user's video internal IP address. -
video_internal_ip_portstring— The user's video internal IP port.
-
-
id(required)string— The user's unique ID. This value is assigned to the user upon joining a session and is only valid for that session. -
is_original_host(required)boolean— Whether the current user is the original host of this session. -
namestring— The user's username. -
user_keystring— Another identifier for the user. Can be a number or characters.
-
-
session_keystring— The Video SDK custom session ID.
-
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"session_id": "",
"session_name": "",
"session_key": "",
"user": {
"id": "",
"name": "",
"user_key": "",
"is_original_host": true,
"data": [
{
"device": "Phone",
"location": "",
"network_type": "Wired",
"microphone": "",
"speaker": "",
"camera": "",
"data_center": "",
"connection_type": "",
"pc_name": "",
"domain": "",
"mac_addr": "",
"harddisk_id": "",
"version": "",
"signaling_ip_address": "",
"signaling_internal_ip_address": "",
"signaling_internal_ip_port": "",
"audio_internal_ip_address": "",
"audio_internal_ip_port": "",
"video_internal_ip_address": "",
"video_internal_ip_port": "",
"as_internal_ip_address": "",
"as_internal_ip_port": "",
"destination_ip_domain": "",
"destination_ip_port": ""
}
]
}
}
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The event's name. -
event_ts(required)integer, format:int64— A timestamp when the event occurred. -
payload(required)object-
account_id(required)string— The Video SDK account ID. -
object(required)object— Information about the session.-
session_id(required)string— Unique session identifier. Each instance of the session will have its own session_id. -
session_name(required)string— Session name. -
user(required)object— Information about the session user.-
data(required)array— The user's data information.Items:
-
as_internal_ip_addressstring— The user's sharing internal IP address. -
as_internal_ip_portstring— The user's sharing internal IP port. -
audio_internal_ip_addressstring— The user's audio internal IP address. -
audio_internal_ip_portstring— The user's audio internal IP port. -
camerastring— The type of camera that the user used during the session. -
connection_typestring— The user's connection type. -
data_centerstring— The data center where user's session data is stored. -
destination_ip_domainstring— The user's destination internal IP domain. -
destination_ip_portstring— The user's destination internal IP port. -
devicestring, possible values:"Phone", "H.323/SIP", "Windows", "Mac", "iOS", "Android"— The type of device the user used to join the session. * Phone - The user joined via PSTN. * H.323/SIP - The user joined via an H.323 or SIP device. * Windows - The user joined via VoIP using a Windows device. * Mac - The user joined via VoIP using a macOS device. * iOS - The user joined via VoIP using an iOS device. * Android - The user joined via VoIP using an Android device. -
domainstring— The user's PC domain. -
harddisk_idstring— The user's hard disk ID. -
locationstring— The user's location. -
mac_addrstring— The user's MAC address. -
microphonestring— The type of microphone that the user used during the session. -
network_typestring, possible values:"Wired", "Wifi", "PPP", "Cellular", "Others"— The user's network type. * Wired * Wifi * PPP - Point-to-Point. * Cellular - 3G, 4G, and 5G cellular. * Others - An unknown device. -
pc_namestring— The user's PC name. -
signaling_internal_ip_addressstring— The user's signaling internal IP address. -
signaling_internal_ip_portstring— The user's signaling internal IP port. -
signaling_ip_addressstring— The user's signaling IP address for information other than audio, video, or share screen. -
speakerstring— The type of speaker that the user used during the session. -
versionstring— The user's Zoom client version. -
video_internal_ip_addressstring— The user's video internal IP address. -
video_internal_ip_portstring— The user's video internal IP port.
-
-
id(required)string— The user's unique ID. This value is assigned to the user upon joining a session and is only valid for that session. -
is_original_host(required)boolean— Whether the current user is the original host of this session. -
namestring— The user's username. -
user_keystring— Another identifier for the user. Can be a number or characters.
-
-
session_keystring— The Video SDK custom session ID.
-
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"session_id": "",
"session_name": "",
"session_key": "",
"user": {
"id": "",
"name": "",
"user_key": "",
"is_original_host": true,
"data": [
{
"device": "Phone",
"location": "",
"network_type": "Wired",
"microphone": "",
"speaker": "",
"camera": "",
"data_center": "",
"connection_type": "",
"pc_name": "",
"domain": "",
"mac_addr": "",
"harddisk_id": "",
"version": "",
"signaling_ip_address": "",
"signaling_internal_ip_address": "",
"signaling_internal_ip_port": "",
"audio_internal_ip_address": "",
"audio_internal_ip_port": "",
"video_internal_ip_address": "",
"video_internal_ip_port": "",
"as_internal_ip_address": "",
"as_internal_ip_port": "",
"destination_ip_domain": "",
"destination_ip_port": ""
}
]
}
}
}
}
POST meeting.participant_data_summary
- Method:
POST - Path:
meeting.participant_data_summary - Tags: meeting
Request Body
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object-
account_id(required)string— The meeting host's account ID. -
object(required)object— Information about the meeting.-
participant(required)object— Information about the meeting participant.-
data(required)array— The participant's data information.Items:
-
as_internal_ip_address(required)string— The participant's sharing internal IP address. -
as_internal_ip_port(required)string— The participant's sharing internal IP port. -
audio_internal_ip_address(required)string— The participant's audio internal IP address. -
audio_internal_ip_port(required)string— The participant's audio internal IP port. -
camera(required)string— The type of camera that the participant used during the meeting. -
connection_type(required)string— The participant's connection type. -
data_center(required)string— The data center where participant's meeting data is stored. -
destination_ip_domain(required)string— The participant's destination internal IP domain. -
destination_ip_port(required)string— The participant's destination internal IP port. -
device(required)string, possible values:"Phone", "H.323/SIP", "Windows", "Mac", "iOS", "Android"— The type of device the participant used to join the meeting: * Phone — The participant joined via PSTN. * H.323/SIP — The participant joined via an H.323 or SIP device. * Windows — The participant joined via VoIP using a Windows device. * Mac — The participant joined via VoIP using a Mac device. * iOS — The participant joined via VoIP using an iOS device. * Android — The participant joined via VoIP using an Android device. -
domain(required)string— The participant's PC domain. -
harddisk_id(required)string— The participant's hard disk ID. -
location(required)string— The participant's location. -
mac_addr(required)string— The participant's MAC address. -
microphone(required)string— The type of microphone that the participant used during the meeting. -
network_type(required)string, possible values:"Wired", "Wifi", "PPP", "Cellular", "Others"— The participant's network type: * Wired * Wifi * PPP — Point-to-Point. * Cellular — 3G, 4G, and 5G cellular. * Others — An unknown device. -
pc_name(required)string— The participant's PC name. -
signaling_internal_ip_address(required)string— The participant's signaling internal IP address. -
signaling_internal_ip_port(required)string— The participant's signaling internal IP port. -
signaling_ip_address(required)string— The participant's signaling IP address for information other than audio, video, or share screen. -
speaker(required)string— The type of speaker that the participant used during the meeting. -
version(required)string— The participant's Zoom client version. -
video_internal_ip_address(required)string— The participant's video internal IP address. -
video_internal_ip_port(required)string— The participant's video internal IP port. -
clientstring— The participant's sdk client version. -
device_detailstring— The participant's detail device information.
-
-
participant_id(required)string— The participant's meeting user ID. This value is assigned to a participant upon joining a meeting and is only valid for the duration of the meeting. -
emailstring, format:email— The participant's email address. This response only returns a value if the participant joined the meeting by logging into Zoom. If the participant is **not** part of the host's account, this returns an empty string value, with some exceptions. See [Email address display rules](https://marketplace.zoom.us/docs/api-reference/using-zoom-apis#email-address) for details. -
participant_user_idstring— The participant's universally unique ID (UUID). Returns an empty value for external users.
-
-
uuid(required)string— The meeting's universally unique identifier (UUID). Each meeting instance generates a meeting UUID. -
idstring— The meeting ID.
-
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"uuid": "",
"id": "",
"participant": {
"participant_id": "",
"participant_user_id": "",
"email": "",
"data": [
{
"device": "Phone",
"location": "",
"network_type": "Wired",
"microphone": "",
"speaker": "",
"camera": "",
"data_center": "",
"connection_type": "",
"pc_name": "",
"domain": "",
"mac_addr": "",
"harddisk_id": "",
"version": "",
"signaling_ip_address": "",
"signaling_internal_ip_address": "",
"signaling_internal_ip_port": "",
"audio_internal_ip_address": "",
"audio_internal_ip_port": "",
"video_internal_ip_address": "",
"video_internal_ip_port": "",
"as_internal_ip_address": "",
"as_internal_ip_port": "",
"destination_ip_domain": "",
"destination_ip_port": "",
"device_detail": "",
"client": ""
}
]
}
}
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object-
account_id(required)string— The meeting host's account ID. -
object(required)object— Information about the meeting.-
participant(required)object— Information about the meeting participant.-
data(required)array— The participant's data information.Items:
-
as_internal_ip_address(required)string— The participant's sharing internal IP address. -
as_internal_ip_port(required)string— The participant's sharing internal IP port. -
audio_internal_ip_address(required)string— The participant's audio internal IP address. -
audio_internal_ip_port(required)string— The participant's audio internal IP port. -
camera(required)string— The type of camera that the participant used during the meeting. -
connection_type(required)string— The participant's connection type. -
data_center(required)string— The data center where participant's meeting data is stored. -
destination_ip_domain(required)string— The participant's destination internal IP domain. -
destination_ip_port(required)string— The participant's destination internal IP port. -
device(required)string, possible values:"Phone", "H.323/SIP", "Windows", "Mac", "iOS", "Android"— The type of device the participant used to join the meeting: * Phone — The participant joined via PSTN. * H.323/SIP — The participant joined via an H.323 or SIP device. * Windows — The participant joined via VoIP using a Windows device. * Mac — The participant joined via VoIP using a Mac device. * iOS — The participant joined via VoIP using an iOS device. * Android — The participant joined via VoIP using an Android device. -
domain(required)string— The participant's PC domain. -
harddisk_id(required)string— The participant's hard disk ID. -
location(required)string— The participant's location. -
mac_addr(required)string— The participant's MAC address. -
microphone(required)string— The type of microphone that the participant used during the meeting. -
network_type(required)string, possible values:"Wired", "Wifi", "PPP", "Cellular", "Others"— The participant's network type: * Wired * Wifi * PPP — Point-to-Point. * Cellular — 3G, 4G, and 5G cellular. * Others — An unknown device. -
pc_name(required)string— The participant's PC name. -
signaling_internal_ip_address(required)string— The participant's signaling internal IP address. -
signaling_internal_ip_port(required)string— The participant's signaling internal IP port. -
signaling_ip_address(required)string— The participant's signaling IP address for information other than audio, video, or share screen. -
speaker(required)string— The type of speaker that the participant used during the meeting. -
version(required)string— The participant's Zoom client version. -
video_internal_ip_address(required)string— The participant's video internal IP address. -
video_internal_ip_port(required)string— The participant's video internal IP port. -
clientstring— The participant's sdk client version. -
device_detailstring— The participant's detail device information.
-
-
participant_id(required)string— The participant's meeting user ID. This value is assigned to a participant upon joining a meeting and is only valid for the duration of the meeting. -
[...]
